Subject: Re: bug#11604: USE_LISP_UNION_TYPE + USE_LSB_TAG cleanup.

From: Paul Eggert <[email-masked]>
Date: Mon, 04 Jun 2012 06:49:40 -0700

On 06/04/2012 06:38 AM, Eli Zaretskii wrote:
>> > (performance is one, 29bit ints vs 30bit ints is another)
> If using USE_LISP_UNION_TYPE means EMACS_INT is one bit less wide,
> then I guess w32heap.c is correct in testing both USE_LSB_TAG and
> USE_LISP_UNION_TYPE, when it decides how much VM to reserve at
> startup?

No, the two issues are independent.  The USE_LISP_UNION_TYPE
business in w32heap.c is about the width of pointers that
can be stuffed into Lisp_Object values; on hosts with 32-bit
EMACS_INT this width is 29 bits regardless of whether
USE_LISP_UNION_TYPE is set.  In other words, Stefan's comments
were about FIXNUM_BITS, not VALBITS.